#!/usr/bin/env python

import sys

def main():

    f = sys.stdout
    f2 = open("jpl.tmp", "a")

    chi = 0.0
    n = 0
    sigma = 0.010

    print "# jd tiso xobs yobs xerr yerr dataset"
    print "# d - arcsec arcsec arcsec arcsec -"

    for line in sys.stdin:
        if line[0:1] == "#":
            continue
        l = line.split(",")

#        for i in xrange(0,len(l)):
#            print i, l[i]

        jd = float(l[0])
        tiso = l[1]
        xobs = float(l[3])
        yobs = float(l[4])
        xerr = float(l[5])
        yerr = float(l[6])
        xcal = float(l[7])
        ycal = float(l[8])
        dataset = l[22]
        if dataset == "na.":
            dataset = l[21]
        if dataset == "":
            dataset = "OCC"

        f.write("%.8f	%s	%7.4f	%7.4f	%7.4f	%7.4f	%s\n" % (jd, tiso, xobs, yobs, xerr, yerr, dataset))
        f2.write("'%.8f'\n" % (jd))

        n += 1
        chi += ((xobs-xcal)/xerr)**2+((yobs-ycal)/yerr)**2

    print "# dataset = ", dataset
    print "# chi = ", chi
    print "# n = ", n

if __name__ == "__main__":
    main()


